package service

import (
	"context"
	"fmt"

	"git.espin.casa/albert/cml04-gdm-int/pkg/api"
)

type IService interface {
	SendBdRollData(ctx context.Context, rollData *api.BdRollData) (err error)
	SendUrRollData(ctx context.Context, rollData *api.UrRollData) (err error)
	SendEdRollData(ctx context.Context, rollData *api.EdRollData) (err error)
	SendUfRollData(ctx context.Context, rollData *api.UfRollData) (err error)
}

type service struct{}

// SendEdRollData implements IService.
func (*service) SendEdRollData(ctx context.Context, rollData *api.EdRollData) (err error) {
	fmt.Printf("roll data: %+v\n", rollData)
	return nil
}

// SendUfRollData implements IService.
func (*service) SendUfRollData(ctx context.Context, rollData *api.UfRollData) (err error) {
	fmt.Printf("roll data: %+v\n", rollData)
	return nil
}

// SendUrRollData implements IService.
func (*service) SendUrRollData(ctx context.Context, rollData *api.UrRollData) (err error) {
	fmt.Printf("roll data: %+v\n", rollData)
	return nil
}

// SendBdRollData implements IService.
func (*service) SendBdRollData(ctx context.Context, rollData *api.BdRollData) (err error) {
	fmt.Printf("roll data: %+v\n", rollData)
	return nil
}

func NewService() IService {
	return &service{}
}
