package types

type L2Bd struct {
	TelegramHeader           TelegramHeader
	BdRollSetId              [20]byte    /* roll set identification        */
	BdRollMaterial           [20]byte    /* roll material type  (H = Hard, */
	BdRollsChangedFlag       int32       /* 0 = not changed,  1 = changed  */
	BdRollSetType            int32       /* roll set type, 1=DUO           */
	BdRollDiamNomActTop      float32     /* actual nominal diameter of top */
	BdRollDiamNomActBot      float32     /* actual nominal diameter of bot */
	BdRollNominalGap         float32     /* nominal roll gap               */
	BdRollGrooves            int32       /* number of grooves (equal for t */
	BdRollGrooveWidth        [10]float32 /* groove width of each groove (e */
	BdRollGrooveStiffnessTop [10]float32 /* stiffness of each groove (top  */
	BdRollGrooveStiffnessBot [10]float32 /* stiffness of each groove (bott */
	BdRollGroovePos          [10]float32 /* groove position, the position  */
	BdRollGrooveSharp        [10]int32   /* groove sharpened, 1= no, 2=yes */
	BdRollGrooveDepth        [10]float32 /* distance from roll barrel to g */
	BdRollActualShimpsTop    float32     /* thickness chock shim top roll  */
	BdRollActualShimpsBot    float32     /* thickness chock shim bottom ro */
	BdTonnageAccum           [10]float32 /* tonnage accumulated per groove */
	BdDummyArray             [10]float32 /* Placeholder for extensions     */
	BdDummyVal1              float32     /* Placeholder for extensions     */
	BdDummyVal2              float32     /* Placeholder for extensions     */
}
