package types

type L2Ed struct {
	TelegramHeader            TelegramHeader
	EdRollSetId               [20]byte    /* roll set identification        */
	EdRollSetType             int32       /* roll set type, 1=DUO, 3=EDGER  */
	EdTonnageAccum            [10]float32 /* tonnage accumulated per groove */
	EdChangeSleeveLength      float32     /* length of the roll changing ca */
	EdChangeSleeveDepth       float32     /* depth of the roll changing car */
	EdChangedFlag             int32       /* changed flag , 0=not changed,  */
	EdRollDiamNomHbo          float32     /* actual nominal diameter bottom */
	EdRollDiamNomHtp          float32     /* actual nominal diameter top ro */
	EdRollNoofGrooves         int32       /* number of grooves on roll      */
	EdRollNominalGap          float32     /* nominal roll gap               */
	EdRollMaterial            [20]byte    /* roll material                  */
	EdRollFlangeDiamTop       [10]float32 /* Flange diameters of each groov */
	EdRollFlangeDiamBot       [10]float32 /* Flange diameters of each groov */
	EdRollWebDiamTop          [10]float32 /* Web diameters of each groove t */
	EdRollWebDiamBot          [10]float32 /* Web diameters of each groove b */
	EdRollChamWidthTop        [10]float32 /* Chamber width for each groove, */
	EdRollChamWidthBot        [10]float32 /* Chamber width for each groove, */
	EdRollGrooveStiffTop      [10]float32 /* groove stiffness for each groo */
	EdRollGrooveStiffBot      [10]float32 /* groove stiffness for each groo */
	EdRollAngleFlangeFace     [10]float32 /* angle flange face for each gro */
	EdRollRootRadius          [10]float32 /* root radius for each groove    */
	EdRollGroovePos           [10]float32 /* distance between vertical groo */
	EdPasslineOffset          float32     /* passline offset                */
	EdActualShimpsHbo         float32     /* thickness chock shim hor. bott */
	EdActualShimpsHtp         float32     /* thickness chock shim hor. top  */
	EdDummyArray              [10]float32 /* Placeholder for extensions     */
	EdDummyVal1               float32     /* Placeholder for extensions     */
	EdDummyVal2               float32     /* Placeholder for extensions     */
	EdDRollMaterial           [20]string  /* roll material type  (H = Hard, */
	EdDRollDiamNomActTop      float32     /* actual nominal diameter of top */
	EDDRollDiamNomActBot      float32     /* actual nominal diameter of bot */
	EdDRollNominalGap         float32     /* nominal roll gap               */
	EdDRollGrooves            int32       /* number of grooves (equal for t */
	EdDRollGrooveWidth        [10]float32 /* groove width of each groove (e */
	EdDRollGrooveStiffnessTop [10]float32 /* stiffness of each groove (top  */
	EdDRollGrooveStiffnessBot [10]float32 /* stiffness of each groove (bott */
	EdDRollGroovePos          [10]float32 /* groove position, the position  */
	EdDRollGrooveSharp        [10]int32   /* groove sharpened, 1= no, 2=yes */
	EdDRollActualShimpsTop    float32     /* thickness chock shim top roll  */
	EdDRollActualShimpsBotp   float32     /* thickness chock shimbottom rol */
}
